# CSS Exercises

These exercises are a series of css related tasks intended to complement the HTML and CSS content on The Odin Project.

These exercises should be done when instructed during the course of the curriculum.

## How to use these exercises

1. Copy this repository. Copies of repositories on your machine are called clones. If you need help cloning you can learn how [here](https://docs.github.com/en/github/creating-cloning-and-archiving-repositories/cloning-a-repository-from-github/cloning-a-repository).
2. Go to an exercise directory and open the HTML file in your browser. You can either open the file directly, or use something like VSCode's live-server.
3. View the README, and edit the CSS file to make the output in your browser look like the images provided.
4. Each README has a "Self Check" list. Use this to make sure you haven't missed any important details in your implementation.

## Some hints
- Unless listed in the self-check section, do not worry about getting the exact pixel value for things like margin, padding and font-size. These exercises are intended to test your knowledge of CSS, not your ability to guess that a screenshot is using `font: sans-serif bold 16px`, or that the margin is _exactly_ `42px`.
- You may need to add some elements to your HTML to get things into the right spot. (for the first few exercises we make it explicit when this needs to happen)
- You may need to add more selectors to your CSS file. The first few exercises have almost everything already done for you, but as you progress you'll find that you need to add more and more to get the correct result.
- In many cases, there will be multiple correct ways to solve these problems. The official solution isn't necessarily the _right_ way, but it is possible to do things in ways that are overall unhelpful. If your solution differs wildly from the official solution (and still passes the self-check criteria), feel free to ask about it in the chatroom.